Package org.eclipse.gef.ui.palette.customize

# Class DrawerEntryPage

java.lang.Object
org.eclipse.gef.ui.palette.customize.DefaultEntryPage
org.eclipse.gef.ui.palette.customize.DrawerEntryPage

All Implemented Interfaces:
  `EntryPage`

public class DrawerEntryPage extends DefaultEntryPage
The default entry page for drawers.

## Constructor Summary

Constructors
Constructor
Description
`DrawerEntryPage()`

## Method Summary

Modifier and Type
Method
Description
`void`
`createControl(Composite parent, PaletteEntry entry)`
Creates the Control that displays the properties of the given entry.
`protected Button`
`createOpenDrawerInitiallyOption(Composite panel)`
Creates the button that provides the option to pin a drawer open at start-up.
`protected Button`
`createPinDrawerInitiallyOption(Composite panel)`
Creates the button that provides the option to have a drawer open at start-up.
`protected PaletteDrawer`
`getDrawer()`
Convenience method that provides access to the PaletteDrawer.
`protected Button`
`getOpenDrawerInitiallyButton()`
Returns the checkbox button which controls whether the drawer is initially open.
`protected Button`
`getPinDrawerInitiallyButton()`
Returns the checkbox button which controls whether the drawer is initially pinned.
`protected void`
`handleOpenSelected(boolean selection)`
This method is invoked when the selection state of the option to open drawer at start-up is toggled.
`protected void`
`handlePinSelected(boolean selection)`
This method is invoked when the selection state of the option to pin a drawer open at start-up is toggled.

### Methods inherited from class org.eclipse.gef.ui.palette.customize.DefaultEntryPage

`apply, createDescText, createHiddenCheckBox, createLabel, createNameText, createText, getControl, getEntry, getMessage, getPageContainer, getPermission, handleDescriptionChanged, handleHiddenSelected, handleNameChanged, setPageContainer`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DrawerEntryPage

public DrawerEntryPage()

## Method Details

### createControl

public void createControl(Composite parent, PaletteEntry entry)
Description copied from interface: `EntryPage`
Creates the Control that displays the properties of the given entry. This method will only be called once. The parent Composite's Font is set to the Workbench Dialog Font. The page's Controls should use the Workbench Dialog Font where appropriate.

Specified by:
  `createControl` in interface `EntryPage`
Overrides:
  `createControl` in class `DefaultEntryPage`
Parameters:
  `parent` - The Composite in which the Control has to be created
  `entry` - The entry whose properties have to be displayed
See Also:
  - `EntryPage.createControl(Composite, PaletteEntry)`

### createOpenDrawerInitiallyOption

protected Button createOpenDrawerInitiallyOption(Composite panel)
Creates the button that provides the option to pin a drawer open at start-up.

Parameters:
  `panel` - The parent Composite
Returns:
  The button for the new option

### createPinDrawerInitiallyOption

protected Button createPinDrawerInitiallyOption(Composite panel)
Creates the button that provides the option to have a drawer open at start-up.

Parameters:
  `panel` - The parent Composite
Returns:
  The button for the new option

### getDrawer

protected PaletteDrawer getDrawer()
Convenience method that provides access to the PaletteDrawer.

Returns:
  the entry as a PaletteDrawer

### getOpenDrawerInitiallyButton

protected Button getOpenDrawerInitiallyButton()
Returns the checkbox button which controls whether the drawer is initially open.

Returns:
  the checkbox button which controls the initially open setting.

### getPinDrawerInitiallyButton

protected Button getPinDrawerInitiallyButton()
Returns the checkbox button which controls whether the drawer is initially pinned.

Returns:
  the checkbox button which controls the initially pinned setting.

### handleOpenSelected

protected void handleOpenSelected(boolean selection)
This method is invoked when the selection state of the option to open drawer at start-up is toggled.

It sets the initial state of the drawer accordingly.

Parameters:
  `selection` - `true` if that option is now selected

### handlePinSelected

protected void handlePinSelected(boolean selection)
This method is invoked when the selection state of the option to pin a drawer open at start-up is toggled.

It sets the initial state of the drawer accordingly.

Parameters:
  `selection` - `true` if that option is now selected